XnPlatform.h File Reference

Go to the source code of this file.

## Macros

#define | XN_PLATFORM_WIN32 1
#define | XN_PLATFORM_XBOX360 2
#define | XN_PLATFORM_PS3 3
#define | XN_PLATFORM_WII 4
#define | XN_PLATFORM_LINUX_X86 5
#define | XN_PLATFORM_FILES_ONLY 6
#define | XN_PLATFORM_ARC 6
#define | XN_PLATFORM_LINUX_ARM 7
#define | XN_PLATFORM_MACOSX 8
#define | XN_PLATFORM_ANDROID_ARM 9
#define | XN_PLATFORM_LINUX_POWERPC 10
#define | XN_PLATFORM_LINUX_AARCH64 11
#define | XN_PLATFORM_LINUX_MIPS 12
#define | XN_PLATFORM_LINUX_RISCV64 13
#define | XN_PLATFORM_LINUX_LOONGARCH64 14
#define | XN_PLATFORM_IS_LITTLE_ENDIAN 1
#define | XN_PLATFORM_IS_BIG_ENDIAN 2
#define | XN_PLATFORM_USE_NO_VAARGS 1
#define | XN_PLATFORM_USE_WIN32_VAARGS_STYLE 2
#define | XN_PLATFORM_USE_GCC_VAARGS_STYLE 3
#define | XN_PLATFORM_USE_ARC_VAARGS_STYLE 4
#define | TRUE 1
#define | FALSE 0
#define | XN_MIN(a, b)
#define | XN_MAX(a, b)
#define | XN_COMPILER_ASSERT(x)
#define | XN_C_API_EXPORT XN_API_EXPORT
#define | XN_C_API_IMPORT XN_API_IMPORT
#define | XN_C_API XN_C_API_IMPORT
#define | XN_CPP_API XN_CPP_API_IMPORT

## Typedefs

typedef void(* | XnFuncPtr) ()
typedef struct XnRegistrationHandleImpl * | XnRegistrationHandle

## Macro Definition Documentation

## FALSE

#define FALSE 0

## TRUE

#define TRUE 1

## XN_C_API

#define XN_C_API XN_C_API_IMPORT

## XN_C_API_EXPORT

#define XN_C_API_EXPORT XN_API_EXPORT

## XN_C_API_IMPORT

#define XN_C_API_IMPORT XN_API_IMPORT

## XN_COMPILER_ASSERT

#define XN_COMPILER_ASSERT | ( |  | x | ) |

Value:
typedef int compileAssert[x ? 1 : -1]

## XN_CPP_API

#define XN_CPP_API XN_CPP_API_IMPORT

## XN_MAX

#define XN_MAX | ( |  | a,
|  |  | b )

Value:
(((a) > (b)) ? (a) : (b))

## XN_MIN

#define XN_MIN | ( |  | a,
|  |  | b )

Value:
(((a) < (b)) ? (a) : (b))

## XN_PLATFORM_ANDROID_ARM

#define XN_PLATFORM_ANDROID_ARM 9

## XN_PLATFORM_ARC

#define XN_PLATFORM_ARC 6

## XN_PLATFORM_FILES_ONLY

#define XN_PLATFORM_FILES_ONLY 6

## XN_PLATFORM_IS_BIG_ENDIAN

#define XN_PLATFORM_IS_BIG_ENDIAN 2

## XN_PLATFORM_IS_LITTLE_ENDIAN

#define XN_PLATFORM_IS_LITTLE_ENDIAN 1

## XN_PLATFORM_LINUX_AARCH64

#define XN_PLATFORM_LINUX_AARCH64 11

## XN_PLATFORM_LINUX_ARM

#define XN_PLATFORM_LINUX_ARM 7

## XN_PLATFORM_LINUX_LOONGARCH64

#define XN_PLATFORM_LINUX_LOONGARCH64 14

## XN_PLATFORM_LINUX_MIPS

#define XN_PLATFORM_LINUX_MIPS 12

## XN_PLATFORM_LINUX_POWERPC

#define XN_PLATFORM_LINUX_POWERPC 10

## XN_PLATFORM_LINUX_RISCV64

#define XN_PLATFORM_LINUX_RISCV64 13

## XN_PLATFORM_LINUX_X86

#define XN_PLATFORM_LINUX_X86 5

## XN_PLATFORM_MACOSX

#define XN_PLATFORM_MACOSX 8

## XN_PLATFORM_PS3

#define XN_PLATFORM_PS3 3

## XN_PLATFORM_USE_ARC_VAARGS_STYLE

#define XN_PLATFORM_USE_ARC_VAARGS_STYLE 4

## XN_PLATFORM_USE_GCC_VAARGS_STYLE

#define XN_PLATFORM_USE_GCC_VAARGS_STYLE 3

## XN_PLATFORM_USE_NO_VAARGS

#define XN_PLATFORM_USE_NO_VAARGS 1

## XN_PLATFORM_USE_WIN32_VAARGS_STYLE

#define XN_PLATFORM_USE_WIN32_VAARGS_STYLE 2

## XN_PLATFORM_WII

#define XN_PLATFORM_WII 4

## XN_PLATFORM_WIN32

#define XN_PLATFORM_WIN32 1

## XN_PLATFORM_XBOX360

#define XN_PLATFORM_XBOX360 2

## Typedef Documentation

## XnFuncPtr

typedef void(* XnFuncPtr) ()

## XnRegistrationHandle

typedef struct XnRegistrationHandleImpl* XnRegistrationHandle